DROP TABLE IF EXISTS sentence_classes;
DROP TABLE IF EXISTS sentence_partials;

CREATE TABLE sentence_classes (
  id VARCHAR(255),
  next VARCHAR(255)
);

CREATE TABLE sentence_partials (
id INT,
value TEXT,
class VARCHAR(255)
);

INSERT INTO sentence_classes (id, next) VALUES
("LieuMas", "AdjMas"),
("AdjMas", "QuaMas"),
("QuaMas", "NomMas")
;

INSERT INTO sentence_partials (value, class) VALUES
("Ecueil", "LieuMas"),
("Bourg", "LieuMas"),
("Castel", "LieuMas"),
("Champ", "LieuMas"),
("Château", "LieuMas"),
("Fond", "LieuMas"),
("Mont", "LieuMas"),
("Moulin", "LieuMas"),
("Pont", "LieuMas"),
("Port", "LieuMas"),
("Pré", "LieuMas"),
("Pic", "LieuMas"),
("Puy", "LieuMas"),
("Roc", "LieuMas"),
("Rocher", "LieuMas"),
("Tertre", "LieuMas"),
("Val", "LieuMas"),
("Valon", "LieuMas"),
("Lac", "LieuMas"),
("Bois", "LieuMas"),
("Bord", "LieuMas"),
("Cerf", "LieuMas"),
("Croc", "LieuMas"),
("Comble", "LieuMas"),

("Roche", "LieuFem"),
("Ville", "LieuFem"),
("Eau", "LieuFem"),
("Vigne", "LieuFem"),
("Terre", "LieuFem"),
("Forge", "LieuFem"),
("Maison", "LieuFem"),
("Mer", "LieuFem"),
("Rive", "LieuFem"),
("Roche", "LieuFem"),
("Ronce", "LieuFem"),
("Cime", "LieuFem"),
("Herbe", "LieuFem"),
("Citadelle", "LieuFem"),
("Passerelle", "LieuFem"),
("Butte", "LieuFem"),
("Colline", "LieuFem"),
("Brume", "LieuFem"),
("Cour", "LieuFem"),
("Douve", "LieuFem"),
("Dune", "LieuFem"),
("Fosse", "LieuFem"),
("Grange", "LieuFem"),
("Muraille", "LieuFem"),
("Plaine", "LieuFem"),
("Tour", "LieuFem"),
("Valée", "LieuFem"),

("vif", "AdjMas"),
("rude", "AdjMas"),
("vert", "AdjMas"),
("vieu", "AdjMas"),
("bas", "AdjMas"),
("beau", "AdjMas"),
("blanc", "AdjMas"),
("clair", "AdjMas"),
("fier", "AdjMas"),
("franc", "AdjMas"),
("froid", "AdjMas"),
("grand", "AdjMas"),
("haut", "AdjMas"),
("morne", "AdjMas"),
("mort", "AdjMas"),
("noble", "AdjMas"),
("noir", "AdjMas"),
("fou", "AdjMas"),
("court", "AdjMas"),
("-sur-mine", "AdjMas"),
("-sur-lac", "AdjMas"),
(" du tonnerre", "AdjMas"),
("-à-brume", "AdjMas"),
("-à-embrum", "AdjMas"),
("-à-fer", "AdjMas"),
("-à-loup", "AdjMas"),
("-à-pluie", "AdjMas"),
("brave", "AdjMas"),
("calme", "AdjMas"),
("courbe", "AdjMas"),
("-de-fer", "AdjMas"),
("-de-feu", "AdjMas"),
("-de-mine", "AdjMas"),
("-de-père", "AdjMas"),
("-de-pluie", "AdjMas"),
("-de-suif", "AdjMas"),
("doré", "AdjMas"),
("droit", "AdjMas"),
("dur", "AdjMas"),
("-en-bois", "AdjMas"),
("-en-croc", "AdjMas"),
("-en-embrum", "AdjMas"),
("-en-fer", "AdjMas"),
("-en-feu", "AdjMas"),
("-en-ours", "AdjMas"),
("-en-père", "AdjMas"),
("-en-suif", "AdjMas"),
("fer", "AdjMas"),
("long", "AdjMas"),
("neuf", "AdjMas"),
("-sous-cerf", "AdjMas"),
("-sous-croc", "AdjMas"),
("-sous-écume", "AdjMas"),
("-sous-lin", "AdjMas"),
("-sous-loup", "AdjMas"),
("-sous-puit", "AdjMas"),
("-sous-suif", "AdjMas"),
("-sous-bois", "AdjMas"),
("-sous-embrum", "AdjMas"),
("-sous-laine", "AdjMas"),
("-sous-pluie", "AdjMas"),
("-sous-tourbe", "AdjMas"),
("-sur-suif", "AdjMas"),
("-sur-puit", "AdjMas"),
("-sur-loup", "AdjMas"),
("-sur-bois", "AdjMas"),
("-sur-cerf", "AdjMas"),
("-sur-croc", "AdjMas"),
("-sur-écume", "AdjMas"),
("-sur-embrum", "AdjMas"),
("-sur-lin", "AdjMas"),
("-sur-laine", "AdjMas"),
("-sur-pluie", "AdjMas"),
("-sur-tourbe", "AdjMas"),
("royal", "AdjMas"),

("vive", "AdjFem"),
("rude", "AdjFem"),
("verte", "AdjFem"),
("vieille", "AdjFem"),
("basse", "AdjFem"),
("belle", "AdjFem"),
("blanche", "AdjFem"),
("claire", "AdjFem"),
("fière", "AdjFem"),
("franche", "AdjFem"),
("froide", "AdjFem"),
("grande", "AdjFem"),
("haute", "AdjFem"),
("morne", "AdjFem"),
("mort", "AdjFem"),
("noble", "AdjFem"),
("noire", "AdjFem"),
("folle", "AdjFem"),
("courte", "AdjFem"),
("-sur-mine", "AdjFem"),
("-sur-lac", "AdjFem"),
(" du tonnerre", "AdjFem"),
("-à-brume", "AdjFem"),
("-à-embrum", "AdjFem"),
("-à-fer", "AdjFem"),
("-à-loup", "AdjFem"),
("-à-pluie", "AdjFem"),
("brave", "AdjFem"),
("calme", "AdjFem"),
("courbe", "AdjFem"),
("-de-fer", "AdjFem"),
("-de-feu", "AdjFem"),
("-de-mine", "AdjFem"),
("-de-père", "AdjFem"),
("-de-pluie", "AdjFem"),
("-de-suif", "AdjFem"),
("dorée", "AdjFem"),
("droite", "AdjFem"),
("dure", "AdjFem"),
("-en-bois", "AdjFem"),
("-en-croc", "AdjFem"),
("-en-embrum", "AdjFem"),
("-en-fer", "AdjFem"),
("-en-feu", "AdjFem"),
("-en-ours", "AdjFem"),
("-en-père", "AdjFem"),
("-en-suif", "AdjFem"),
("fer", "AdjFem"),
("longue", "AdjFem"),
("neuve", "AdjFem"),
("-sous-cerf", "AdjFem"),
("-sous-croc", "AdjFem"),
("-sous-écume", "AdjFem"),
("-sous-lin", "AdjFem"),
("-sous-loup", "AdjFem"),
("-sous-puit", "AdjFem"),
("-sous-suif", "AdjFem"),
("-sous-bois", "AdjFem"),
("-sous-embrum", "AdjFem"),
("-sous-laine", "AdjFem"),
("-sous-pluie", "AdjFem"),
("-sous-tourbe", "AdjFem"),
("-sur-suif", "AdjFem"),
("-sur-puit", "AdjFem"),
("-sur-loup", "AdjFem"),
("-sur-bois", "AdjFem"),
("-sur-cerf", "AdjFem"),
("-sur-croc", "AdjFem"),
("-sur-écume", "AdjFem"),
("-sur-embrum", "AdjFem"),
("-sur-lin", "AdjFem"),
("-sur-laine", "AdjFem"),
("-sur-pluie", "AdjFem"),
("-sur-tourbe", "AdjFem"),
("royale", "AdjFem"),

("Vif", "QuaMas"),
("Rude", "QuaMas"),
("Vert", "QuaMas"),
("Vieu", "QuaMas"),
("Bas", "QuaMas"),
("Beau", "QuaMas"),
("Blanc", "QuaMas"),
("Clair", "QuaMas"),
("Fier", "QuaMas"),
("Franc", "QuaMas"),
("Froid", "QuaMas"),
("Grand", "QuaMas"),
("Haut", "QuaMas"),
("Morne", "QuaMas"),
("Mort", "QuaMas"),
("Noble", "QuaMas"),
("Noir", "QuaMas"),
("Fou", "QuaMas"),
("Court", "QuaMas"),
("Brave", "QuaMas"),
("Calme", "QuaMas"),
("Courbe", "QuaMas"),

("Vive", "QuaFem"),
("Rude", "QuaFem"),
("Verte", "QuaFem"),
("Vieille", "QuaFem"),
("Basse", "QuaFem"),
("Belle", "QuaFem"),
("Blanche", "QuaFem"),
("Claire", "QuaFem"),
("Fière", "QuaFem"),
("Franche", "QuaFem"),
("Froide", "QuaFem"),
("Grande", "QuaFem"),
("Haute", "QuaFem"),
("Morne", "QuaFem"),
("Mort", "QuaFem"),
("Noble", "QuaFem"),
("Noire", "QuaFem"),
("Folle", "QuaFem"),
("Courte", "QuaFem"),
("Calme", "QuaFem"),
("Courbe", "QuaFem"),
("Droite", "QuaFem"),
("Dure", "QuaFem"),

("ecueil", "NomMas"),
("bourg", "NomMas"),
("castel", "NomMas"),
("champ", "NomMas"),
("château", "NomMas"),
("fond", "NomMas"),
("mont", "NomMas"),
("moulin", "NomMas"),
("pont", "NomMas"),
("port", "NomMas"),
("pré", "NomMas"),
("pic", "NomMas"),
("puy", "NomMas"),
("roc", "NomMas"),
("rocher", "NomMas"),
("tertre", "NomMas"),
("val", "NomMas"),
("valon", "NomMas"),
("lac", "NomMas"),
("bois", "NomMas"),
("bord", "NomMas"),
("cerf", "NomMas"),
("croc", "NomMas"),
("comble", "NomMas"),
("mur", "NomMas"),

("roche", "NomFem"),
("ville", "NomFem"),
("eau", "NomFem"),
("vigne", "NomFem"),
("terre", "NomFem"),
("forge", "NomFem"),
("maison", "NomFem"),
("mer", "NomFem"),
("rive", "NomFem"),
("roche", "NomFem"),
("ronce", "NomFem"),
("cime", "NomFem"),
("herbe", "NomFem"),
("citadelle", "NomFem"),
("passerelle", "NomFem"),
("butte", "NomFem"),
("colline", "NomFem"),
("brume", "NomFem"),
("cour", "NomFem"),
("douve", "NomFem"),
("dune", "NomFem"),
("fosse", "NomFem"),
("grange", "NomFem"),
("muraille", "NomFem"),
("plaine", "NomFem"),
("tour", "NomFem"),
("valée", "NomFem")
;


;
